cURL
curl --request POST \
--url https://api.poddata.ai/v1/webhooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"events": [],
"companies": [
"<string>"
],
"watch_list": true
}
'import requests
url = "https://api.poddata.ai/v1/webhooks"
payload = {
"url": "<string>",
"events": [],
"companies": ["<string>"],
"watch_list": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', events: [], companies: ['<string>'], watch_list: true})
};
fetch('https://api.poddata.ai/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.poddata.ai/v1/webhooks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'url' => '<string>',
'events' => [
],
'companies' => [
'<string>'
],
'watch_list' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.poddata.ai/v1/webhooks"
payload := strings.NewReader("{\n \"url\": \"<string>\",\n \"events\": [],\n \"companies\": [\n \"<string>\"\n ],\n \"watch_list\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.poddata.ai/v1/webhooks")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"url\": \"<string>\",\n \"events\": [],\n \"companies\": [\n \"<string>\"\n ],\n \"watch_list\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.poddata.ai/v1/webhooks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"url\": \"<string>\",\n \"events\": [],\n \"companies\": [\n \"<string>\"\n ],\n \"watch_list\": true\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"url": "<string>",
"events": [
"<string>"
],
"companies": [
"<string>"
],
"watch_list": true,
"disabled": true,
"disabled_at": "2023-11-07T05:31:56Z",
"failures": 123,
"created": "2023-11-07T05:31:56Z",
"secret": "<string>"
}{
"error": {
"code": "bad_request",
"message": "<string>"
}
}Webhooks
Post webhooks
POST
/
webhooks
cURL
curl --request POST \
--url https://api.poddata.ai/v1/webhooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"events": [],
"companies": [
"<string>"
],
"watch_list": true
}
'import requests
url = "https://api.poddata.ai/v1/webhooks"
payload = {
"url": "<string>",
"events": [],
"companies": ["<string>"],
"watch_list": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', events: [], companies: ['<string>'], watch_list: true})
};
fetch('https://api.poddata.ai/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.poddata.ai/v1/webhooks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'url' => '<string>',
'events' => [
],
'companies' => [
'<string>'
],
'watch_list' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.poddata.ai/v1/webhooks"
payload := strings.NewReader("{\n \"url\": \"<string>\",\n \"events\": [],\n \"companies\": [\n \"<string>\"\n ],\n \"watch_list\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.poddata.ai/v1/webhooks")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"url\": \"<string>\",\n \"events\": [],\n \"companies\": [\n \"<string>\"\n ],\n \"watch_list\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.poddata.ai/v1/webhooks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"url\": \"<string>\",\n \"events\": [],\n \"companies\": [\n \"<string>\"\n ],\n \"watch_list\": true\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"url": "<string>",
"events": [
"<string>"
],
"companies": [
"<string>"
],
"watch_list": true,
"disabled": true,
"disabled_at": "2023-11-07T05:31:56Z",
"failures": 123,
"created": "2023-11-07T05:31:56Z",
"secret": "<string>"
}{
"error": {
"code": "bad_request",
"message": "<string>"
}
}Authorizations
Body
application/json
The tracker events, and company data being created, updated or deleted (api.md › Webhooks for company data)
Minimum array length:
1Available options:
match.created, quote.corrected, company.created, company.updated, company.deleted, event.created, event.updated, event.deleted, document.created, document.updated, document.deleted, transcript.created, transcript.updated, transcript.deleted, audio.created, audio.updated, audio.deleted, summary.created, summary.updated, summary.deleted, live.created, live.updated, live.deleted Response
The webhook, with its secret, shown this once